Skip to content

Fetch API (v3.0: 3.27.0.2)

For differences between versions, see Changelog.

REST API logo


Download OpenAPI description
Overview
API Support Group
License
Languages
Servers
Production server
https://fetch.yellowdogsoftware.com/api/v3

Accounting Export Reports that can be consumed by 3rd Party accounting systems

Operations

Items and Recipes are able to have images associated to them.

Operations

A dynamic list of Items that are designed to aide with physical inventories. Countsheets are based on a static list of items, Levels, and Flags

Operations

Operations used to manage currency conversion for the database. These are used when multiple currencies are used in a database.

Operations

Attributes that are available for assigning to an Item. Attributes can be like a Size or Color.

Operations

Flags allow you to indicate storage locations, making ordering and physical inventories easier.

Operations

Item Inventory OnHand information.

Operations
Operations

UPCs or additional SKUs to for an Item.

Operations

Product information that is tracked in Yellow Dog Inventory.

Operations

A Manual Adjustment will affect an Item's OnHand.

Operations

Database specific configuration information

Operations

Collections of production groups.

Operations

A Purchasing document

Operations
Operations

Request

Security
Auth API User Token
Query
FilterArray of strings

Filter Options:

  • docNumber -- Example: ?Filter=docNumber=REC00118
  • committed -- Example: ?Filter=committed>=2025-10-31
  • lastUpdated -- Example: ?Filter=lastUpdated>2025-10-31T06:05:58.0123456-05:00
  • vendor -- Example: ?Filter=vendor=4f8cbdf4-1fc2-11f0-af1d-0c9192383642
For filter options that support timestamps (ie. committed & lastUpdated)

See Working with Timestamps (v2 vs. v3)

Example with combined options:
GET /receipts?Filter=docNumber=REC00118,committed>=2025-10-31,vendor=4f8cbdf4-1fc2-11f0-af1d-0c9192383642
ExpandArray of strings

Expand Options:

  • Items
  • Stores
  • Users
  • Vendors
OrderByArray of strings

Order By Options:

  • committed
  • docNumber
  • lastUpdated
PageNumberinteger(int32)

Page Number for the result set.

This is expected to be an integer value greater than 0. Defaults to 1 when not passed in.

For more information see the Getting Started Section for Pagination.

PageSizeinteger(int32)

Page Size

  • Default page size: 100
  • Max page size: 500

This is expected to be an integer value greater than 0. Defaults to 100 when not passed in.

For more information see the Getting Started Section for Pagination.

curl -i -X GET \
  'https://fetch.yellowdogsoftware.com/api/v3/receipts?Filter=string&Expand=string&OrderBy=string&PageNumber=0&PageSize=0' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/jsonArray [
idstring(uuid)
thirdPartyIDstring or null
docNumberstring or null
referencestring or null
descriptionstring or null
instructionsstring or null
notesstring or null
linesArray of objects or null(Api.Models.Dto.ReceiptLineGet)
vendorstring or null
storestring or null
committedstring or null(date-time)
committedByUserstring or null
paidboolean
createdByUserstring or null
createdstring(date-time)
lastUpdatedstring(date-time)
]
Response
application/json
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "thirdPartyID": "string", "docNumber": "string", "reference": "string", "description": "string", "instructions": "string", "notes": "string", "lines": [ … ], "vendor": "string", "store": "string", "committed": "2019-08-24T14:15:22Z", "committedByUser": "string", "paid": true, "createdByUser": "string", "created": "2019-08-24T14:15:22Z", "lastUpdated": "2019-08-24T14:15:22Z" } ]

Request

Using this endpoint will create uncommitted receipts. Marking a receipt as committed and thus making the associated adjustments to the item inventory will need to be performed using the Yellow Dog Inventory Client.

Requirements

The following properties must exist in the database in order to be uploaded to a receipt:

  • Store
  • Vendor
  • Items

The following requirements are needed for a receipt to be created using this method:

  • The user making the request has the appropriate Edit permission to the Receipt Editor, in the store that the receipt is being created in.
  • Only purchase orders that have been committed can be backlinked to a receipt

BackLinking

One common example of backlinking is when a process exists for a location to have a purchase order created for all receipts and purchases of inventory items. This is accomplished by creating a related document for a receipt.

In Yellow Dog Inventory, we track the linkage of purchasing documents by the individual lines of a document. To accomplish this, all lines of an existing purchasing document should be marked as the backlink of another document in the process.

In example: Given an existing Committed Purchase Order of the following shape.

{
	"CommdocId": 	"123e4567-e89b-12d3-a456-426655440025"
	"type": "PurchaseOrder",
	"lines": [
		{
			"CommDocLineId": "456e0001-e89b-12d3-a456-426655440000",
			"quantity": 15,
			"ItemID":"789e0001-e89b-12d3-a456-426655440000"
		}
	]
}

Can be fully recieved by sending the following general shape. Notice that the backlinkLineId of the receipt line.

{
	"type": "Receipt",
	...,
	"lines": [
		{
			"quantity": 15,
			"ItemID": "789e0001-e89b-12d3-a456-426655440000"
			"backLinkLineID": "456e0001-e89b-12d3-a456-426655440000"
		}
	]
}
Security
Auth API User Token
Body
docNumberstringnon-emptyrequired
vendorIDstring(uuid)required
storeIDstring(uuid)required
linesArray of objects(Api.Models.Dto.ReceiptLineCreate)required
lines[].​vendorPricenumber(double)required
lines[].​quantitynumber(double)required
lines[].​itemIDstring(uuid)required
lines[].​backLinkLineIDstring or null(uuid)
lines[].​lineNumberinteger(int32)
referencestring or null
descriptionstring or null
instructionsstring or null
notesstring or null
paidboolean
curl -i -X POST \
  https://fetch.yellowdogsoftware.com/api/v3/receipts \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "docNumber": "string",
    "vendorID": "e9a2b6f2-c9d9-487d-b1b7-3228b36b3d20",
    "storeID": "b89b5309-e797-4390-b985-9bdc32523397",
    "lines": [
      {
        "vendorPrice": 0.1,
        "quantity": 0.1,
        "itemID": "f1f85a48-b9b1-447d-a06c-c1acf57ed3a8",
        "backLinkLineID": "6e13b4f1-3f38-4d49-a5c5-95b5e01905d0",
        "lineNumber": 0
      }
    ],
    "reference": "string",
    "description": "string",
    "instructions": "string",
    "notes": "string",
    "paid": true
  }'

Responses

OK

Bodyapplication/jsonArray [
idstring(uuid)
thirdPartyIDstring or null
docNumberstring or null
referencestring or null
descriptionstring or null
instructionsstring or null
notesstring or null
linesArray of objects or null(Api.Models.Dto.ReceiptLineGet)
vendorstring or null
storestring or null
committedstring or null(date-time)
committedByUserstring or null
paidboolean
createdByUserstring or null
createdstring(date-time)
lastUpdatedstring(date-time)
]
Response
application/json
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "thirdPartyID": "string", "docNumber": "string", "reference": "string", "description": "string", "instructions": "string", "notes": "string", "lines": [ … ], "vendor": "string", "store": "string", "committed": "2019-08-24T14:15:22Z", "committedByUser": "string", "paid": true, "createdByUser": "string", "created": "2019-08-24T14:15:22Z", "lastUpdated": "2019-08-24T14:15:22Z" } ]

Request

Security
Auth API User Token
Path
idstring(uuid)required

Id of Receipt

Query
ExpandArray of strings

Expand Options:

  • Items
  • Stores
  • Users
  • Vendors
curl -i -X GET \
  'https://fetch.yellowdogsoftware.com/api/v3/receipts/{id}?Expand=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
idstring(uuid)
thirdPartyIDstring or null
docNumberstring or null
referencestring or null
descriptionstring or null
instructionsstring or null
notesstring or null
linesArray of objects or null(Api.Models.Dto.ReceiptLineGet)
vendorstring or null
storestring or null
committedstring or null(date-time)
committedByUserstring or null
paidboolean
createdByUserstring or null
createdstring(date-time)
lastUpdatedstring(date-time)
Response
application/json
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "thirdPartyID": "string", "docNumber": "string", "reference": "string", "description": "string", "instructions": "string", "notes": "string", "lines": [ { … } ], "vendor": "string", "store": "string", "committed": "2019-08-24T14:15:22Z", "committedByUser": "string", "paid": true, "createdByUser": "string", "created": "2019-08-24T14:15:22Z", "lastUpdated": "2019-08-24T14:15:22Z" }

Collections of items and recipes, with quantities, that are used to create other items.

Operations

Collections of RecipeTypes.

Operations

A requisition for purchasing or transfering an item.

Operations

Associate a count to an Item, these sessions can be used for Purchasing Documents or Physical Inventories.

Operations

Business Entities or locations of a single business entity that need to maintain their own inventory records.

Operations

Additional configuration options that control item, store or level behavior with third-party integrations

Operations

Third Party Mappings with Yellow Dog Inventory

Operations

Records that increment or decrement inventory based on customer interactions with a store

Operations

Records that increment or decrement inventory based on customer interactions with a store

Operations

A record of movement of Items from one Store to another.

Operations

Vendors, Suppliers, Distributors, or Manufacturors that provide Items into the Inventory.

Operations